Bug 1370204

Summary: SELinux is preventing kexec from using the 'sys_admin' capabilities.
Product: [Fedora] Fedora Reporter: Frank Büttner <bugzilla>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: dominick.grift, dwalsh, jwadodson, lvrabec, mgrepl, plautrba
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:f0287f4f154edfc849418636e509482c5d36807ef6355de0c990d58dbbde39ff;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.13.1-158.24.fc23 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-29 22:52:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Frank Büttner 2016-08-25 14:06:30 UTC
Description of problem:
SELinux is preventing kexec from using the 'sys_admin' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass kexec standardmäßig sys_admin Berechtigung haben sollten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'kexec' --raw | audit2allow -M my-kexec
# semodule -X 300 -i my-kexec.pp

Additional Information:
Source Context                system_u:system_r:kdump_t:s0
Target Context                system_u:system_r:kdump_t:s0
Target Objects                Unknown [ capability ]
Source                        kexec
Source Path                   kexec
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.21.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.7-200.fc23.x86_64 #1 SMP Wed
                              Aug 17 14:24:53 UTC 2016 x86_64 x86_64
Alert Count                   9090
First Seen                    2016-07-23 07:40:10 CEST
Last Seen                     2016-08-25 16:02:53 CEST
Local ID                      be61a349-500d-40ec-8e2c-94870cc14a4f

Raw Audit Messages
type=AVC msg=audit(1472133773.892:495): avc:  denied  { sys_admin } for  pid=18893 comm="kexec" capability=21  scontext=system_u:system_r:kdump_t:s0 tcontext=system_u:system_r:kdump_t:s0 tclass=capability permissive=0


Hash: kexec,kdump_t,kdump_t,capability,sys_admin

Version-Release number of selected component:
selinux-policy-3.13.1-158.21.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.6.7-200.fc23.x86_64
type:           libreport

Potential duplicate: bug 1357949

Comment 1 John Dodson 2016-09-10 02:31:32 UTC
Description of problem:
ran system-config-kdump trying to solve a number of systemctl failed services (kdump.service) in this case.
Then after a reboot this happened.

Version-Release number of selected component:
selinux-policy-3.13.1-158.21.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.7.2-101.fc23.x86_64
type:           libreport

Comment 2 Fedora Update System 2016-09-16 08:37:04 UTC
selinux-policy-3.13.1-158.24.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f739cc7524

Comment 3 Fedora Update System 2016-09-17 00:52:48 UTC
selinux-policy-3.13.1-158.24.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f739cc7524

Comment 4 Fedora Update System 2016-09-29 22:52:11 UTC
selinux-policy-3.13.1-158.24.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.